package vip.xiaonuo.coldchain.core.bean.influxdb.flux;

/**
 * @author jackzhou
 * @version 1.0
 * @project jfcloud-coldchain
 * @description
 * @date 2024/11/22 19:48:48
 */
public class FilterCondition {
    private String field;  // 字段名
    private String value;  // 字段值
    private Operator operator;  // 操作符（例如：`>`, `<`, `=`, 等）

    public FilterCondition(String field, String value, Operator operator) {
        this.field = field;
        this.value = value;
        this.operator = operator;
    }

    // Getter & Setter

    public String getField() {
        return field;
    }

    public void setField(String field) {
        this.field = field;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public Operator getOperator() {
        return operator;
    }

    public void setOperator(Operator operator) {
        this.operator = operator;
    }
}

